describe("评卷页面-裁切图", () => {
  it("裁切图显示", () => {
    cy.visit("/");
    cy.get(".mark-body-container .single-image-container").should("exist");
  });

  it("键盘选择鼠标分数成功", () => {
    cy.visit("/");
    cy.wait(3000);
    cy.get("body").type("1");
    cy.get("body").trigger("click", { clientX: 200, clientY: 350 });
    cy.get(".cursor-border").should("contain", "1");
  });

  it("键盘选择鼠标分数失败", () => {
    cy.visit("/");
    cy.wait(3000);
    cy.get("body").type("1.47");
    cy.get("body").trigger("click", { clientX: 200, clientY: 350 });
    cy.get(".cursor-border").should("contain", "1");
  });

  it("裁切图点击-分数增加", () => {
    cy.visit("/");
    cy.wait(5000);
    let oldTotal = "0";
    cy.get(".total-score span span").then(($div) => {
      oldTotal = $div.html();
      // console.log($div, $div.text(), $div.html());
    });

    const addScore = "2";
    cy.get("body .mark-body-container").scrollTo(0, 0);
    cy.get("body").type(addScore);
    cy.get("body").click(200, 200);
    cy.get("body").trigger("mousemove");
    // 要给点时间页面计算
    cy.wait(100);
    cy.get(".cursor-border").should("contain", addScore);
    // cy.wait(3000);
    cy.get(".total-score span span").then(($div) =>
      expect($div.html()).eq(+oldTotal + +addScore + "")
    );
  });
});
